/*
 * SmartHome server: Plug-in xbee
 *
 * Copyright (C) 2010 Daniel Pisi <dan.pisi@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License
 * as published by the Free Software Foundation.
 *
 */

/**
 * @file xbmessage.cpp
 * @brief Defines relationship between ShMessages and XbPackets
 * @author Daniel Pisi
 */

#include "xbmessage.h"

// -----------------------------------------------------------------------------

XbMessage::XbMessage(QObject *parent) : QObject(parent)
{
    timer = new QTimer(this);
    timer->setSingleShot(true);
    timer->setInterval(5000);

    connect(timer, SIGNAL(timeout()), this, SIGNAL(timeout()));
}
// -----------------------------------------------------------------------------

XbMessage::~XbMessage()
{
}
// -----------------------------------------------------------------------------
